#
# spec file for package apache2-mod_auth_gssapi
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2004, 2005 NOVELL (All rights reserved)
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# this is required to be underscore
%define module_name mod_auth_gssapi
%if ! %{?distro:1}0
%if %{?suse_version:1}0
  %define distro suse
%endif
%if %{?fedora_version:1}0
  %define distro redhat
%endif
%endif
%if ! %{?distro:1}0
  %define distro suse
%endif
%if %{distro} == "suse"
BuildRequires:  apache2-devel
BuildRequires:  apache-rpm-macros
Requires:       %{apache_mmn}
Requires:       %{apache_suse_maintenance_mmn}
Requires:       apache2
# FIXME: use proper Requires(pre/post/preun/...)
PreReq:         apache2-prefork
PreReq:         apparmor-parser
%else
%if %{distro} == "redhat" || %{distro} == "rhel4"
%define apxs %{_sbindir}/apxs
%define apache_libexecdir	%(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir	%(%{apxs} -q SYSCONFDIR)
BuildRequires:  httpd-devel
# FIXME: use proper Requires(pre/post/preun/...)
PreReq:         httpd
%endif
%endif
Name:           apache2-mod_auth_gssapi
Version:        1.5.0
Release:        1.2
Summary:        GSSAPI Module for Apache
License:        MIT 
Group:          Applications/System
Url:            https://github.com/modauthgssapi/mod_auth_gssapi/releases/download/v1.5.0/mod_auth_gssapi-1.5.0.tar.gz 
Source0:        %{module_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  openssl-devel
BuildRequires:  krb5-devel

%description
apache2-mod_apparmor adds support to apache2 to provide AppArmor confinement
to individual cgi scripts handled by apache modules like mod_php and
mod_perl.
This package is part of a suite of tools that used to be named SubDomain.

%prep

%setup -q -n %{module_name}-%{version}

%build
%configure
make %{?_smp_mflags} APXS=%{apache_apxs}

%install
make install DESTDIR=%{buildroot} DISTRO=%{distro} MANDIR=%{_mandir}

%if %{distro} == "suse"
       mkdir -p %{buildroot}%{_libdir}/apache2-prefork/
       ln -s %{apache_libexecdir}/%{module_name}.so %{buildroot}%{_libdir}/apache2-prefork/%{module_name}.so
%else
  %if %{distro} == "redhat" || %{distro} == "rhel4"
  	mkdir -p %{buildroot}/%{apache_sysconfdir}.d/
	install -m 644 %{module_name}.conf %{buildroot}/%{apache_sysconfdir}.d/
  %endif
%endif

%check
set +x
%apache_test_module_load -m auth_gssapi 
set -x

%files
%defattr(-,root,root)
%doc COPYING README
%{apache_libexecdir}
%if %{distro} == "suse"
%{_libdir}/apache2-prefork/%{module_name}.so
%else
  %if %{distro} == "redhat" || %{distro} == "rhel4"
    %{apache_sysconfdir}.d/%{module_name}.conf
  %endif
%endif

%triggerpostun -- mod_change_hat mod-change-hat

%if %{distro} == "suse"
  %{_sbindir}/a2enmod auth_gssapi 
%endif

%changelog
* Tue Feb 28 2017 k0da@opensuse.org
- Initial mod_gssapi-1.5 version
